package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SetTagOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class SetTagOpenApiVo   {
  @JsonProperty("macs")
  @Valid
  private List<String> macs = null;

  @JsonProperty("tagIds")
  @Valid
  private List<String> tagIds = new ArrayList<>();

  public SetTagOpenApiVo macs(List<String> macs) {
    this.macs = macs;
    return this;
  }

  public SetTagOpenApiVo addMacsItem(String macsItem) {
    if (this.macs == null) {
      this.macs = new ArrayList<>();
    }
    this.macs.add(macsItem);
    return this;
  }

  /**
   * Device MAC list, like AA-BB-CC-DD-EE-FF
   * @return macs
  */
  @ApiModelProperty(value = "Device MAC list, like AA-BB-CC-DD-EE-FF")


  public List<String> getMacs() {
    return macs;
  }

  public void setMacs(List<String> macs) {
    this.macs = macs;
  }

  public SetTagOpenApiVo tagIds(List<String> tagIds) {
    this.tagIds = tagIds;
    return this;
  }

  public SetTagOpenApiVo addTagIdsItem(String tagIdsItem) {
    this.tagIds.add(tagIdsItem);
    return this;
  }

  /**
   * Tag ID list
   * @return tagIds
  */
  @ApiModelProperty(required = true, value = "Tag ID list")
  @NotNull


  public List<String> getTagIds() {
    return tagIds;
  }

  public void setTagIds(List<String> tagIds) {
    this.tagIds = tagIds;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SetTagOpenApiVo setTagOpenApiVo = (SetTagOpenApiVo) o;
    return Objects.equals(this.macs, setTagOpenApiVo.macs) &&
        Objects.equals(this.tagIds, setTagOpenApiVo.tagIds);
  }

  @Override
  public int hashCode() {
    return Objects.hash(macs, tagIds);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SetTagOpenApiVo {\n");
    
    sb.append("    macs: ").append(toIndentedString(macs)).append("\n");
    sb.append("    tagIds: ").append(toIndentedString(tagIds)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

